PlugIN
@PlugIN
A Little Programmer

Как разрешить конфликт между пакетами php в CentOS 7?

Добрый день! Прошу отнестись с пониманием. Не имею значительного опыта работы в Linux в целом и в CentOS в частности.

В процессе работы возникла необходимость установить пакет "php-xcache", но столкнулся с проблемой конфликта. Насколько знаю, в CentOS 7 по умолчанию PHP 5.4. Выявилось 3 проблемы зависимостей. Вывод от "yum" ниже:

Resolving Dependencies
--> Running transaction check
---> Package php-xcache.x86_64 0:3.1.1-1.el7 will be installed
--> Processing Dependency: php(zend-abi) = 20100525-64 for package: php-xcache-3.1.1-1.el7.x86_64
--> Processing Dependency: php(api) = 20100412-64 for package: php-xcache-3.1.1-1.el7.x86_64
--> Running transaction check
---> Package php-common.x86_64 0:5.4.16-48.el7 will be installed
--> Processing Dependency: libzip.so.2()(64bit) for package: php-common-5.4.16-48.el7.x86_64
--> Running transaction check
---> Package libzip.x86_64 0:0.10.1-8.el7 will be installed
--> Processing Conflict: php71w-common-7.1.33-1.w7.x86_64 conflicts php-common < 7.1

Packages skipped because of dependency problems:
    libzip-0.10.1-8.el7.x86_64 from base
    php-common-5.4.16-48.el7.x86_64 from base
    php-xcache-3.1.1-1.el7.x86_64 from epel


Буду благодарен за ответ и любые разъяснения.

P.S.: здесь были, как я помню из выдачи Яндекса, два сходных вопроса, но их изучение не дало результата, т.к. я сейчас не имею возможности надолго погружаться в эту тему. Нужно быстрое решение. Кто-то может сказать, что это элементарно, но для меня пока это не так.
  • Вопрос задан
  • 85 просмотров
Решения вопроса 1
@q2digger
сисадмин
у вас добавлен репозитарий от Webtatic (это видно по именам конфликтующих пакетов).
Так и ставьте свой пакет оттуда, пишите запрос правильно
yum install php71w-xcache

А если он вам не нужен, и нужен "оригинальный" php-xcache , то отключите этот "левый"репо , но будьте готовы, что пакеты установленные из него будут удалены.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы